implicit real*8(a-h, o-z)
akyo=3.615d0 !教育領域の点数
aken=4.033d0 !研究領域の点数
akok=3.000d0 !国際領域の点数
akan=4.000d0 !管理領域の点数
saidai=0.d0
do okyo=0.1d0, 0.5d0, 0.1d0 !最低0.1から最大0.5まで重みを変化
do oken=0.3d0, 0.7d0, 0.1d0 !最低0.3から最大0.7まで重みを変化
do okok=0.0d0, 0.3d0, 0.1d0 !最低0.0から最大0.3まで重みを変化
do okan=0.0d0, 0.3d0, 0.1d0 !最低0.0から最大0.3まで重みを変化
okei=okyo+oken+okok+okan
if((0.99d0<okei).and.(okei<1.01d0)) then
   saidai2=okyo*akyo+oken*aken+okok*akok+okan*akan
   if(saidai2>saidai) then
    saidai=saidai2
    pkyo=okyo
    pken=oken
    pkok=okok
    pkan=okan
    print*,pkyo,pken,pkok,pkan, saidai2
   end if
end if
end do
end do
end do
end do
print*,'教育：',pkyo,'*',akyo,'=' , pkyo*akyo
print*,'研究：',pken,'*',aken,'=' , pken*aken
print*,'国際：',pkok,'*',akok,'=' , pkok*akok
print*,'管理：',pkan,'*',akan,'=' , pkan*akan
print*,'合計：',saidai
end

